<?


include 'connect.php';

if(!$u['id']){
header ("Location: aut.php");
exit;
}

//Мой гарем выбираем
$req = mysql_query("SELECT * FROM `garems_list` WHERE `id` = '".$u['id']."' LIMIT 1");
   if (!mysql_num_rows($req)) {
   mysql_query("INSERT INTO `garems_list` SET `id` = '".$u['id']."'");
   }
$req = mysql_query("SELECT * FROM `garems_list` WHERE `id` = '".$u['id']."' LIMIT 1");
$my_garem = mysql_fetch_assoc($req);

switch ($_GET['act']) {

//Крадем в гарем ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add':

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req) and $id != $u['id']) {
   $user = mysql_fetch_assoc($req);
   }
}

//Если ни кто не выбрался или выбрался сам пользователь
if(!$user['id'] || $user['id'] == $u['id']){
header ("Location: index.php");
exit;
}

include 'head.php';


echo '<div class="title"><img src= "img/garems.png"> <b>Гаремы</b></div>';

//Заголовок раздела
   echo '<div class="nav">';
   echo '<a href = "garems.php">Мой гарем ('.$my_garem['users'].')</a> <br/><b>Крадем в гарем</b>';
   echo '</div>';
echo '<div class="block_action">';
//Проверяем противоположный ли пол
if($user['sex'] != $u['sex']){
//Выбираем пользователя в модуле гарем
$req = mysql_query("SELECT * FROM `garems_users` WHERE `id` = '".$user['id']."' LIMIT 1");
if(mysql_num_rows($req)){
$garem_user = mysql_fetch_assoc($req);
} else {
mysql_query("INSERT INTO `garems_users` SET `id` = '".$user['id']."', price = '10'");
$req = mysql_query("SELECT * FROM `garems_users` WHERE `id` = '".$user['id']."' LIMIT 1");
$garem_user = mysql_fetch_assoc($req);
}
//Проверяем не в гареме ли уже
if($garem_user['garem'] == $u['id']){
echo '<div class = "action">Пользователь <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> уже в Вашем гареме!</div>';
} else {
   //Хватает ли денег
   if($u['money'] < $garem_user['price']){
   echo '<div class = "action">У Вас не достаточно денег, чтобы украсть пользователя <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>!</div>
   <img src = "img/money.gif"> Стоимость: '.$garem_user['price'].'
   ';
   } else {
      if (isset($_POST['submit'])) {
	  //Меняем
	  mysql_query("UPDATE `garems_users` SET `price` = `price`+10,`garem` = '".$u['id']."',`time` = '".time()."',`steals` = `steals`+1 WHERE `id` = '".$user['id']."'");
	  mysql_query("UPDATE `garems_list` SET `users` = `users`+1 WHERE `id` = '".$u['id']."'");
	  mysql_query("UPDATE `users` SET `money` = `money`-'".$garem_user['price']."' WHERE `id` = '".$u['id']."'");
	  if($garem_user['garem'] != 0) mysql_query("UPDATE `garems_list` SET `users` = `users`-1 WHERE `id` = '".$garem_user['garem']."'");
      //Записываем в журнал
      if($u['sex'] == 'm'){
      $action[0] = 'Украл';
      } else {
      $action[0] = 'Украла';
      }
      $text = $action[0].' Вас в свой <a href = "garems.php?act=view&id='.$u['id'].'">гарем</a>.';
      mysql_query("INSERT INTO `jurnal` SET
      `user` = '".$user['id']."',
      `outuser` = '".$u['id']."',
      `text` = '$text',
      `time` = '".time()."',
      `new` = '1'
      ");
      echo 'Пользователь <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> украден в <a href = "garems.php?act=view&id='.$u['id'].'">Ваш гарем</a>!';
      } else {
      echo 'Крадем пользователя <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> в свой гарем?<br/>';
      echo '<img src = "img/money.gif"> Стоимость: '.$garem_user['price'].'';
      echo '<form action="garems.php?act=add&id='.$user['id'].'" method="post">';
      echo '<input type="submit" name="submit" value="Да, украсть" class="submit white"/>';
      echo '</form></div>';
      }
   }
}
} else {

echo '<div class = "action">В гарем можно красть только противоположный пол!</div>';

}
echo '</div>';
include 'foot.php';
//Если никто не выбрался

break;

//Гарем пользователя ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'view':

//Если id получен 
$id=num($_GET['id']);
if(!$id) $id=$u['id'];
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
}
if(!$user['id']){
header ("Location: index.php");
exit;
}

if($user['id'] == $u['id']) $zag = 'Мой гарем';
else $zag = 'Гарем <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Дуэли';
include 'head.php';

echo '<div class="title"><img src= "img/duels.gif"> <b>'.$zag.'</b></div>';

echo '<div class="nav">';
echo '<a href = "garems.php?act=view">Мой гарем ('.$my_garem['users'].')</a>';
echo '</div>';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `garems_users` WHERE `garem` = '".$user['id']."'"), 0);
echo '<div class="block_view">';
echo 'В гареме: <b>'.$all.'</b> чел.</div>';
if($all > 0){
   $total = intval(($all - 1) / 10) + 1;
   $page = num($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `garems_users` WHERE `garem` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, 10");
      while($garem = mysql_fetch_assoc($result)){
	  $user_garem = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$garem["id"]."'"));
	  //Вывод
	  echo '<div class="block_list">';
      echo '<table>
      <tr>
      <td VALIGN=top>';
	  ava($user_garem['id'],50);
	  echo '</td>
	  <td VALIGN=top>';
	  echo ''.ico($user_garem['sex'],$user_garem['admin']).' <a href = "page.php?id='.$user_garem['id'].'">'.$user_garem['login'].'</a> '.online($user_garem['online']).'<br/>'; 
	  if($user_garem['sex'] == 'm') echo 'Украден: <b>'.$garem['steals'].'</b>'; else echo 'Украдена: <b>'.$garem['steals'].'</b>';
	  echo '</td>
      </tr>
      </table>';

      echo '</div>';

	  }
	  navigation($page, $total,'garems.php?act=view&id='.$id.'&');
}else{
echo '<div class = "center">В гареме пока никого нет!</div>';
}


include 'foot.php';
break;

//Список всех гаремов ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:
$title = $title.' | Гаремы';
include 'head.php';
//Подзаголовок
echo '<div class="title"><img src= "img/garems.png"> <b>Гаремы</b></div>';


echo '<div class="nav">';
echo '<a href = "garems.php?act=view">Мой гарем ('.$my_garem['users'].')</a> <br/><b>Все гаремы</b>';
echo '</div>';


$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `garems_list` WHERE `users` > '0'"), 0);
if($all > 0){
   $total = intval(($all - 1) / 10) + 1;
   $page = num($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `garems_list` WHERE `users` > '0' ORDER BY `users` DESC LIMIT $start, 10");
      while($garem = mysql_fetch_assoc($result)){
	  $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$garem["id"]."'"));
	  //Вывод
	  echo '<div class="block_list">';
      echo '<table>
      <tr>
      <td VALIGN=top>';
	  ava($user['id'],50);
	  echo '</td>
	  <td VALIGN=top>';
	  echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).'<br/>'; 
	  echo '<img src = "img/garems.png"> <a href = "garems.php?act=view&id='.$garem['id'].'">В гареме <b>'.$garem['users'].'</b> чел.</a><br/>';
	  echo '</td>
      </tr>
      </table>';

      echo '</div>';

	  }
	  navigation($page, $total,'garems.php?');
}else{
echo '<div class = "center">Гаремов пока нет!</div>';
}


include 'foot.php';
break;
}
?>